// on document ready
// highlight level one position
// if there is a panel fill it
docReady(function () {
/*  if ($(window).width() > 771) { */

    function crumbPath() { // routine to fill crumbpath
      for (i = 1; i < list.length; i++) {
        var url = list[i].href;
        var hidcat = document.getElementsByClassName('hl-hidden-category');
        var showincrumbpath = document.getElementsByClassName('sh-show-in-crumbpath');

        if (typeof url !== 'undefined' && url) {

          if ((loc.indexOf(url) > -1) && (loc.length >= url.length)) {

            crumbs[0].text = list[i].text.trim();
            crumbs[0].href = list[i].href;
            crumbs[0].setAttribute('style', 'visibility: visible');
            crumbs[1].setAttribute('style', 'display: none');

            if (loc.length > url.length) {

              var nodes = list[i].nextElementSibling.childNodes;
              
              for (n = 0; n < nodes.length; n++) {

                node = nodes[n];

                if (node.nodeName == "LI") {

                  if (node.childNodes[1].href == loc) {

                    crumbs[1].text = node.childNodes[1].innerText.trim();

                    crumbs[1].href = node.childNodes[1].href;

                    crumbs[1].setAttribute('style', 'display: block');

                    crumbs[1].setAttribute('style', 'visibility: visible');

                  } else {
                    
                    if (hidcat.length > 0) {
                    
						if (hidcat[0].innerText.trim().toLowerCase() == node.childNodes[1].text.trim().toLowerCase()) {
                        	crumbs[1].text = node.childNodes[1].text.trim();
                        	crumbs[1].href = node.childNodes[1].href;
                        	crumbs[1].setAttribute('style', 'display: block');
	                        crumbs[1].setAttribute('style', 'visibility: visible');
						}
                    }
                  }
                }
              }

              if ( showincrumbpath.length > 0 ) {
			    if ( showincrumbpath[0].innerText.trim().toLowerCase() == 'yes' ) {
				  crumbs[2].text = document.getElementsByClassName('sh-page-title-h1')[0].textContent;
				  crumbs[2].href = window.location.href;
				  crumbs[2].setAttribute('style', 'display: block');
				  crumbs[2].setAttribute('style', 'visibility: visible');
				}
              }
            }
          }
        }
      }
    }


    function landingPagePanel(obj) { // routine to fill panel

      var panel = document.getElementsByClassName('sh-category-panel-content');
      
      if (panel.length > 0) {

        var curLink = document.URL;
		var panelText = 'Open%20submenu%20for%20';
		if (curLink.includes('/it-it/')) { panelText = 'Fare clic qui per aprire il sottomenu per ' };
		if (curLink.includes('/es-es/')) { panelText = 'Pulse%20aqu%C3%AD%20para%20abrir%20el%20submen%C3%BA%20de%20' };
		if (curLink.includes('/cz-cs/')) { panelText = 'Kliknut%C3%ADm%20sem%20otev%C5%99ete%20podnab%C3%ADdku%20pro%20' };
		if (curLink.includes('/sk-sk/')) { panelText = 'Kliknut%C3%ADm%20sem%20otvor%C3%ADte%20podmenu%20pre%20' };
		if (curLink.includes('/br-pt/')) { panelText = 'Clique%20aqui%20para%20abrir%20o%20submenu%20para%20' };
		document.getElementsByClassName('sh-category-panel-title')[0].innerHTML = decodeURI(panelText) + obj.innerText.trim();

        var nodes = obj.nextElementSibling.childNodes;

        var output = '';

        for (n = 0; n < nodes.length; n++) {
          var node = nodes[n];

          if (node.nodeName == 'LI') {

            if ( node.childNodes[1].href == window.location.origin+window.location.pathname ) {
           
            	output = '<a class="b-basic.link sh-category-panel-link-low" target="_self" data-link-type="url" href="' + node.childNodes[1].href + '"><span data-attr="content">' + node.childNodes[1].innerText.trim() + '</span></a>';
              
            } else {
            
            	output = '<a class="b-basic.link sh-category-panel-link" target="_self" data-link-type="url" href="' + node.childNodes[1].href + '"><span data-attr="content">' + node.childNodes[1].innerText.trim() + '</span></a>';
            
            }

            const el = document.createElement('div');
            el.setAttribute('class', 'b-basic.div sh-category-panel-item norm');
            el.innerHTML = output;
            panel[0].appendChild(el, panel[0]);

          }

        }

      }

    }

  
	$('.sh-category-panel').on('click', function() { 
   		if ( $('.sh-category-panel-chevron').hasClass('rotateChevron') ) { 
			$('.sh-category-panel-chevron').removeClass('rotateChevron'); 
            $('.sh-category-panel-content-container').slideToggle('slow');
		} else {
			$('.sh-category-panel-chevron').addClass('rotateChevron'); 
            $('.sh-category-panel-content-container').slideToggle('slow');
		}
	});
  
  
    var loc = window.location.href;
    var list = document.getElementsByClassName('sh-header-nav-li-a');
    var crumbs = document.getElementsByClassName('sh-breadcrumb-crumb');
    var subcategory = document.getElementsByClassName('hl-hidden-category');

    crumbPath();

    for (i = 1; i < list.length; i++) {
      var url = list[i].href;
      if (typeof url !== 'undefined' && url) {
        if ((loc.indexOf(url) > -1) && (loc.length >= url.length)) {
          list[i].setAttribute('style', 'border-bottom-color: rgb(0,160,227)');

          landingPagePanel(list[i]);

        }
      }
    }

// JavaScript Document
	// sitemap file
    const d				=	new Date();
    let time			=	d.getTime();
	var sitemapFile		=	'https://ruminants.selko.com/sitemap.xml?'+time;
	var languages		=	new RegExp('sk|cs|it|es|pt');
	var curLang 		=	'unset';
	var jumpURL			=	'';
	var foundURL			=	'false';


		function findPageInSitemap(uri,ecl) { // start find page in sitemap
			var uri				=	uri.replace(/\/$/, ''); // remove potential last '/'
			var ecl 			=	ecl.currentTarget.href.replace(/\/$/, ''); // remove potential last '/'
			var curLang			=	ecl.match(languages);
          
			if (curLang == null){
				curLang = 'en';
			} else {
				curLang =	curLang[0];
			}
			

            jumpURL = ecl;
          
			$.ajax({ // start ajax call
				url: sitemapFile,
				type: "GET",
				dataType: "xml",
				success: function (result) { // start success handling

					$(result).find('loc').each(function () { // find locations
                      
						if ( $(this).text().replace(/\/$/, '') == uri )  { 

							$(this).parent()[0].childNodes.forEach( function(node) {

								if (node.nodeName == 'xhtml:link') {
									
									for (let j = 0; j < node.attributes.length; j++) { 

										if ( (node.attributes[j].name.toLowerCase() == 'hreflang') && (node.attributes[j].value == curLang) ) {
											jumpURL = node.attributes['href'].value;
											foundURL = 'true';
										}

									}
								}
							});
						}
                    });  // end find locations
					
//			console.log(foundURL);
//			console.log(jumpURL);
//			console.log(ecl);
			if ( foundURL == 'true' ) { 
				location.href = jumpURL; 
			} else { 
				location.href=ecl; 
			}
	                  
				} // end success handling
			}); // end ajax call
		
		} // end find page in sitemap

		
		$(function() {	
			$('.sh-dropdown-link').on('click', function(event) { // add listener to language menu
				event.preventDefault();
				findPageInSitemap(window.location.origin+window.location.pathname,event);
			});
		});


});